local Zifnabs_Buttons = {}
_G.Zifnabs_Buttons = Zifnabs_Buttons

local default_settings={
	buttons={
		[1]={caption="HP?",tooltipp=Zifnabs.LANG.INFO_LIFE,command="/run Zifnabs:echo(UnitName('target')..': '..UnitChangeHealth('target')..' "..Zifnabs.LANG.INFO_LIFEWORD.."')"},
		[2]={caption="Dly",tooltipp=Zifnabs.LANG.INFO_DAILYS,command="/run d,m=Daily_count();Zifnabs:echo(d..' / '..m..' "..Zifnabs.LANG.INFO_DAILYSWORD.."')"},
		[3]={caption="Pet",tooltipp=Zifnabs.LANG.INFO_PETCRAFT,command="/zi timer 18:00 "..Zifnabs.LANG.INFO_PETCRAFTTEXT},
		[4]={caption="Net",tooltipp=Zifnabs.LANG.INFO_PING,command="/run Zifnabs:echo('Ping '..GetPing()..'ms')"},
		[5]={},[6]={},[7]={},[8]={},[9]={},[10]={},[11]={},[12]={},
	},
}
local settings={}

Zifnabs:plugin("Zifnabs_Buttons",Zifnabs_Buttons,false)

-- ******************************************************************************************
-- * ON EVENT
-- ******************************************************************************************
function Zifnabs_Buttons:OnEvent(event)
	if event=="VARIABLES_LOADED" then
		Zifnabs_Buttons:reload_settings()
		Zifnabs:dofile("Zifnabs_Config_Buttons")
	elseif event=="SAVE_VARIABLES" then
		Zifnabs:save_settings(default_settings,settings)
	end
end

function Zifnabs_Buttons:reload_settings()
	settings=Zifnabs:init_settings(default_settings)
	local height=0
	for b=1,12,1 do
		local button=getglobal("Zifnabs_Additional_Button_"..b)
		if button~=nil then
			if settings.buttons[b]==nil then button:Hide()
			elseif settings.buttons[b]["caption"]==nil or settings.buttons[b]["caption"]=="" then button:Hide()
			else
				button:SetText(settings.buttons[b]["caption"])
				button:Show()
				height=6+16*math.floor((b+5)/6)
			end
		end
	end
	getglobal("Zifnabs_Additional_Button"):SetHeight(height)
end

function Zifnabs_Buttons:execute(widget)
	local button,name,part=Zifnabs:parse_name(widget)
	Zifnabs:runcommand(settings.buttons[1*part[#part]]["command"])
end
